#ifndef STDIO16_H
#define STDIO16_H

#include <stdarg.h>
#include <stdio.h>
#include "charset.h"

int Fprintf(FILE *file, CharacterEncoding enc, const char *format, ...);
int Printf(CharacterEncoding enc, const char *format, ...);
int Sprintf(void *buf, CharacterEncoding enc, const char *format, ...);

int Vfprintf(FILE *file, CharacterEncoding enc, const char *format,
	     va_list args);
int Vprintf(CharacterEncoding enc, const char *format, va_list args);
int Vsprintf(void *buf, CharacterEncoding enc, const char *format, 
	     va_list args);

#endif /* STDIO16_H */
